#!/usr/bin/bash -x

function rbd_reset() {
    rbd unmap swh --name client.admin
    ceph osd pool delete rbd rbd --yes-i-really-really-mean-it
    ceph osd pool delete swh swh --yes-i-really-really-mean-it
    #
    # rbd
    #
    ceph osd pool create rbd 4
    rbd pool init rbd
    #
    # swh ec coded pool
    #
    ceph osd erasure-code-profile set swh k=4 m=2 crush-failure-domain=host
    ceph osd pool create swh erasure swh
    ceph osd pool set swh allow_ec_overwrites true
    #
    # rbd image
    #
    rbd create swh --size 10240 --pool rbd --data-pool swh --image-feature data-pool --image-feature layering
    rbd map swh --name client.admin
}

function main() {
    rbd_reset
    echo before --------------------------------------------------------------------
    venv/bin/ansible -i inventory -a 'du -sh /var/ceph/osd' ceph
    ceph df
    ceph osd df
    dd if=/dev/urandom of=/dev/rbd0 count=4096 bs=1024k status=progress
    sleep 60 # wait for stats to reach the monitor
    echo after ---------------------------------------------------------------------
    ceph df
    ceph osd df
}

main
